Index: SOURCES/httpd-2.4.10-detect-systemd.patch
===================================================================
--- SOURCES/httpd-2.4.10-detect-systemd.patch	(revision 1611945)
+++ SOURCES/httpd-2.4.10-detect-systemd.patch	(working copy)
@@ -1,15 +1,6 @@
---- httpd-2.4.43/acinclude.m4.detectsystemd	2020-04-02 15:58:25.720723212 +0300
-+++ httpd-2.4.43/acinclude.m4	2020-04-02 16:02:48.520290619 +0300
-@@ -607,7 +607,7 @@
-   fi
- ])
- 
--AC_DEFUN([APACHE_CHECK_SYSTEMD], [
-+AC_DEFUN(APACHE_CHECK_SYSTEMD, [
- dnl Check for systemd support for listen.c's socket activation.
- case $host in
- *-linux-*)
-@@ -616,14 +616,14 @@
+--- httpd-2.4.46/acinclude.m4.detectsystemd	2020-08-07 22:51:40.475205331 +0300
++++ httpd-2.4.46/acinclude.m4	2020-08-07 22:54:08.828106207 +0300
+@@ -616,7 +616,7 @@
     elif test -n "$PKGCONFIG" && $PKGCONFIG --exists libsystemd-daemon; then
        SYSTEMD_LIBS=`$PKGCONFIG --libs libsystemd-daemon`
     else
@@ -18,19 +9,3 @@
     fi
     if test -n "$SYSTEMD_LIBS"; then
        AC_CHECK_HEADERS(systemd/sd-daemon.h)
-       if test "${ac_cv_header_systemd_sd_daemon_h}" = "no" || test -z "${SYSTEMD_LIBS}"; then
-         AC_MSG_WARN([Your system does not support systemd.])
-       else
--        APR_ADDTO(HTTPD_LIBS, [$SYSTEMD_LIBS])
-+        APR_ADDTO(LIBS, [$SYSTEMD_LIBS])
-         AC_DEFINE(HAVE_SYSTEMD, 1, [Define if systemd is supported])
-       fi
-    fi
-@@ -631,6 +631,7 @@
- esac
- ])
- 
-+
- dnl
- dnl APACHE_EXPORT_ARGUMENTS
- dnl Export (via APACHE_SUBST) the various path-related variables that
Index: SOURCES/httpd-2.4.43.tar.bz2.asc
===================================================================
--- SOURCES/httpd-2.4.43.tar.bz2.asc	(revision 1611945)
+++ SOURCES/httpd-2.4.43.tar.bz2.asc	(nonexistent)
@@ -1,11 +0,0 @@
------BEGIN PGP SIGNATURE-----
-
-iQEzBAABCAAdFiEEueghOu+4Ya81pB8smV41IhrYTf8FAl58wHMACgkQmV41IhrY
-Tf8I0AgArzcV/UmSu+Kbwb2MGtMQJaAKbuNT8tpL1OYYuINYDinmgNboPm9GHJdb
-zd7fQIIBovlmuiC9s5cG0Fpm0O/pDUYs4jnxhnFTuSSMJcd/bDcRbb9Nh8lEfOkL
-McHpyAIwQHQJJUueUlirGbNKdUj3INgLV/RvtP6ZsylHQQCf2nuUlel5ueJxtxtB
-skI/lzcO/+XI+GH6/tGilHxVKHfFth47fWHsLj2tQzaLqK3aBHrCXK8m4HAmziOI
-ijiZQw4s5Q3m/AC/5Lto0qYDKLtyCARQBpS7DW1BnJTH4OcvvYKWAUCtTDgH7N+f
-qfHoOuKR2wOJjPRB2ats1VDOmP16hg==
-=ZcVG
------END PGP SIGNATURE-----
Index: SOURCES/httpd-2.4.46.tar.bz2.asc
===================================================================
--- SOURCES/httpd-2.4.46.tar.bz2.asc	(nonexistent)
+++ SOURCES/httpd-2.4.46.tar.bz2.asc	(working copy)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQJIBAABCAAyFiEE40gAQ1lWIf5WEF8RKrEqetxVwAMFAl8leDsUHGRydWdnZXJp
+QGFwYWNoZS5vcmcACgkQKrEqetxVwAOXtA//ZECDsKBN5OdjreBMIOpuYzj2tpBz
+oBE0ExOGY8uQg4FGEG5MyHc5pvFz5rl7zLikTpaZKboBNGH7WBh22Rx5yg/hAkMH
+ZV8AgBfiL8c3uTff8/piTU2kVyQYZV4Rr2oVtgz+/ZObkI+ngQZMmvGsCdSU0On4
+zbyUGjh5W1gnl3MEoM/Whzv/2TbEwtnTk0mNdwjnojqlTXoDccyWpB+SlaAwQajW
+8NUND2oXFt3m80NcLKsXqTHz2DbVgFm2PYScO2JO2Xc02aX09AtXR5mKYxKOw8gP
+evF3nA0KbQdjUBQNAVv6LcV43Lk21OrU+Aqfeko44WmOsmVG7qHRmd6K+67HHvTW
+3SaWISPmlWcDvmRCVBJuynxYWXhpGCmeXgnnQgIe7vXSSVjsNWD9YMof6y07CPrQ
+BdMvfGBF0B/8qax22aM/xX6MnwpiKlkJ4wbB1e+UCGRNSdsOupCi2ok4IDN5Z/mv
+1maMsgctVPxoUaT25qPBckUbbVIhPdJ8b8fbnLJjcaTdWyvtQSIzwOnWnUQ18Tdi
+ur9fkQL9qnJF2OoLdidf0m6EMLGIs3YoE22SDZGNxkC2B1o2ozDCR9rV6x9LTSlN
+6l3LQfIBOGfsseqv4Q7w58G0IW3sLMJbqbjnYZSD0OFF4SaBtvFwDhDyfP5NLCSv
+5R+AAvdV+kvEif4=
+=zTsU
+-----END PGP SIGNATURE-----
Index: SOURCES/sha1.lst
===================================================================
--- SOURCES/sha1.lst	(revision 1611945)
+++ SOURCES/sha1.lst	(working copy)
@@ -1 +1 @@
-fc078df062503ffcf19319c4bf4e8cf27fe30cb4  httpd-2.4.43.tar.bz2
+1b7cd10ff3a2a07a576d77e34f0204d95fa4aceb  httpd-2.4.46.tar.bz2
Index: SPECS/apache.spec
===================================================================
--- SPECS/apache.spec	(revision 1611945)
+++ SPECS/apache.spec	(working copy)
@@ -13,8 +13,8 @@
 
 Summary:    The most widely used Web server on the Internet
 Name:       apache
-Version:    2.4.43
-Release:    %mkrel 2
+Version:    2.4.46
+Release:    %mkrel 1
 Group:      System/Servers
 License:    ASL 2.0
 URL:        http://httpd.apache.org
@@ -135,14 +135,14 @@
 Provides:   apache-mod_vhost_alias = %{version}
 Provides:   apache-mod_systemd = %{version}
 
-Obsoletes:  apache-base
-Obsoletes:  apache-modules
-Obsoletes:  apache-conf
-Obsoletes:  apache-mpm-event
-Obsoletes:  apache-mpm-prefork
-Obsoletes:  apache-mpm-peruser
-Obsoletes:  apache-mpm-worker
-Obsoletes:  apache-mpm-itk
+Obsoletes:  apache-base < 2.4.44
+Obsoletes:  apache-modules < 2.4.44
+Obsoletes:  apache-conf < 2.4.44
+Obsoletes:  apache-mpm-event < 2.4.44
+Obsoletes:  apache-mpm-prefork < 2.4.44
+Obsoletes:  apache-mpm-peruser < 2.4.44
+Obsoletes:  apache-mpm-worker < 2.4.44
+Obsoletes:  apache-mpm-itk < 2.4.44
 
 Requires(pre):  webserver-base
 Requires:       webserver-base
@@ -214,7 +214,7 @@
 Requires:   apache >= %{version}-%{release}
 Requires:   apr-util-dbd-ldap
 Provides:   apache-mod_authnz_ldap = %{version}
-Obsoletes:  apache-mod_auth_ldap
+Obsoletes:  apache-mod_auth_ldap < 2.4.44
 
 %description    mod_ldap
 This module was created to improve the performance of websites relying on
@@ -491,7 +491,7 @@
 autoheader && autoconf || exit 1
 
 export CFLAGS=$RPM_OPT_FLAGS
-export LDFLAGS="-Wl,-z,relro,-z,now"
+export LDFLAGS="-lsystemd -Wl,-z,relro,-z,now"
 
 # Hard-code path to links to avoid unnecessary builddep
 export LYNX_PATH=/usr/bin/links