Index: SOURCES/kdepim-15.07.80-fix-link.patch
===================================================================
--- SOURCES/kdepim-15.07.80-fix-link.patch	(revision 909476)
+++ SOURCES/kdepim-15.07.80-fix-link.patch	(working copy)
@@ -1,13 +0,0 @@
-diff --git a/korganizer/CMakeLists.txt b/korganizer/CMakeLists.txt
-index a9d56ff..0439881 100644
---- a/korganizer/CMakeLists.txt
-+++ b/korganizer/CMakeLists.txt
-@@ -238,7 +238,7 @@ set(korganizerprivate_LIB_SRCS
- 
-   target_link_libraries(korganizerprivate
-     pimcommon
--    
-+    mailcommon
-     calendarsupport
-     eventviews
-     incidenceeditorsng
Index: SPECS/kdepim.spec
===================================================================
--- SPECS/kdepim.spec	(revision 909476)
+++ SPECS/kdepim.spec	(working copy)
@@ -8,7 +8,7 @@
 %{?_with_kitchensync: %{expand: %%global with_kitchensync 1}}
 %define kontact_mobile 0
 %define kalarm_with_akonadi 1
-%define rel 1
+%define rel 2
 %define grantlee_version 0.3.0
 %define baloo_version 4.14.3
 
@@ -108,7 +108,7 @@
 # Test patches : 300+
 
 # Mageia Patches 400+
-Patch400:        kdepim-15.07.80-fix-link.patch
+Patch400: kdepim-15.11.80-fix-kmail-build.patch
 
 %if %{with_kitchensync}
 BuildRequires: libopensync-devel >= 0.30
@@ -177,7 +177,7 @@
 %_kf5_bindir/pimsettingexporterconsole
 %_kf5_bindir/storageservicemanager
 %_kf5_bindir/contactprintthemeeditor
-%_kf5_datadir/pimsettingexporter
+# %%_kf5_datadir/pimsettingexporter
 %_kf5_datadir/kdepimwidgets
 %_kf5_iconsdir/*/*/*/*
 %_sysconfdir/xdg/kdepim.categories
@@ -186,18 +186,18 @@
 %_kf5_docdir/HTML/en/contactthemeeditor
 %_kf5_datadir/applications/org.kde.pimsettingexporter.desktop
 %_kf5_datadir/applications/org.kde.storageservicemanager.desktop
-%_kf5_datadir/kxmlgui5/pimsettingexporter
+# %%_kf5_datadir/kxmlgui5/pimsettingexporter
 %_kf5_datadir/knotifications5/storageservicemanager.notifyrc
-%_kf5_datadir/kxmlgui5/storageservicemanager
+# %%_kf5_datadir/kxmlgui5/storageservicemanager
 %_qt5_plugindir/designer/kdepimwidgets.so
 %_qt5_plugindir/designer/pimcommonwidgets.so
 %_kf5_datadir/applications/org.kde.contactprintthemeeditor.desktop
 %_kf5_datadir/composereditor/composereditorinitialhtml
-%_kf5_datadir/kxmlgui5/contactprintthemeeditor/contactprintthemeeditorui.rc
+# %%_kf5_datadir/kxmlgui5/contactprintthemeeditor/contactprintthemeeditorui.rc
 #------------------------------------------------------------------------------
 
 %define mailimporter_major 5
-%define libmailimporter %mklibname mailimporter %{mailimporter_major}
+%define libmailimporter %mklibname KF5MailImporter %{mailimporter_major}
 
 %package -n %libmailimporter
 Summary: Mail Importer Library
@@ -207,8 +207,7 @@
 Mail Importer Library
 
 %files -n %libmailimporter
-%_kf5_libdir/libmailimporter.so.%{mailimporter_major}*
-%_kf5_libdir/libmailimporter.so.4*
+%_kf5_libdir/libKF5MailImporter.so.%{mailimporter_major}*
 
 #------------------------------------------------------------------------------
 
@@ -225,13 +224,13 @@
 
 %files -n %libkaddressbookprivate
 %_kf5_libdir/libkaddressbookprivate.so.%{kaddressbookprivate_major}*
-%_kf5_libdir/libkaddressbookprivate.so.4*
 
+
 #------------------------------------------------------------------------------
 
 %define kontactprivate_major 5
 %define libkontactprivate %mklibname kontactprivate %{kontactprivate_major}
-%rename %{_lib}kontactprivate4
+# %%rename %{_lib}kontactprivate4
 
 %package -n %libkontactprivate
 Summary: Kontact runtime library
@@ -242,7 +241,6 @@
 
 %files -n %libkontactprivate
 %_kf5_libdir/libkontactprivate.so.%{kontactprivate_major}*
-%_kf5_libdir/libkontactprivate.so.4*
 
 #------------------------------------------------------------------------------
 
@@ -259,12 +257,11 @@
 
 %files -n %libkorganizer_core
 %_kf5_libdir/libkorganizer_core.so.%{korganizer_core_major}*
-%_kf5_libdir/libkorganizer_core.so.4*
 
 #------------------------------------------------------------------------------
 
 %define libkdepim_major 5
-%define libkdepim %mklibname kdepim %libkdepim_major
+%define libkdepim %mklibname KF5Libkdepim %libkdepim_major
 
 %package -n %libkdepim
 Summary: KDEPIM 4 library
@@ -275,28 +272,10 @@
 KDE PIM runtime libraries.
 
 %files -n %libkdepim
-%_kf5_libdir/libkdepim.so.%{libkdepim_major}*
-%_kf5_libdir/libkdepim.so.4*
+%_kf5_libdir/libKF5Libkdepim.so.%{libkdepim_major}*
 
 #------------------------------------------------------------------------------
 
-%define kpgp_major 5
-%define libkpgp %mklibname kpgp %{kpgp_major}
-
-%package -n %libkpgp
-Summary: KGPG runtime library
-Group: System/Libraries
-%rename %{_lib}kpgp4
-
-%description -n %libkpgp
-KGPG runtime library.
-
-%files -n %libkpgp
-%_kf5_libdir/libkpgp.so.%{kpgp_major}*
-%_kf5_libdir/libkpgp.so.4*
-
-#------------------------------------------------------------------------------
-
 %package -n kleopatra
 Summary: KDE Certificate Manager
 Group: Security
@@ -314,10 +293,8 @@
 %_kf5_bindir/kleopatra
 %_kf5_datadir/libkleopatra
 %_kf5_bindir/kwatchgnupg
-%_kf5_bindir/kgpgconf
 %_kf5_datadir/kwatchgnupg
 %_kf5_datadir/kleopatra
-%_kf5_datadir/kxmlgui5/kwatchgnupg
 %_qt5_plugindir/kcm_kleopatra.so
 %_sysconfdir/xdg/libkleopatrarc
 %_kf5_datadir/appdata/kleopatra.appdata.xml
@@ -324,7 +301,6 @@
 %_kf5_datadir/applications/kleopatra_import.desktop
 %_kf5_datadir/applications/org.kde.kleopatra.desktop
 %_kf5_services/kleopatra_*
-%_kf5_datadir/kxmlgui5/kleopatra
 
 #------------------------------------------------------------------------------
 
@@ -345,7 +321,7 @@
 #------------------------------------------------------------------------------
 
 %define ksieve_major 5
-%define libksieve %mklibname ksieve %{ksieve_major}
+%define libksieve %mklibname KF5KSieve %{ksieve_major}
 
 %package -n %libksieve
 Summary: KSieve runtime library
@@ -358,8 +334,7 @@
 Sieve is a programming language that can be used to create filters for email.
 
 %files -n %libksieve
-%_kf5_libdir/libksieve.so.%{ksieve_major}*
-%_kf5_libdir/libksieve.so.4*
+%_kf5_libdir/libKF5KSieve.so.%{ksieve_major}*
 
 #------------------------------------------------------------------------------
 
@@ -376,7 +351,6 @@
 
 %files -n %libakregatorinterfaces
 %_kf5_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}*
-%_kf5_libdir/libakregatorinterfaces.so.4*
 
 #------------------------------------------------------------------------------
 
@@ -393,7 +367,6 @@
 
 %files -n %libakregatorprivate
 %_kf5_libdir/libakregatorprivate.so.%{akregatorprivate_major}*
-%_kf5_libdir/libakregatorprivate.so.4*
 
 #------------------------------------------------------------------------------
 
@@ -534,7 +507,6 @@
 %_kf5_datadir/kaddressbook
 %_kf5_bindir/contactthemeeditor
 %_kf5_datadir/applications/org.kde.contactthemeeditor.desktop
-%_kf5_datadir/kxmlgui5/contactthemeeditor
 %_sysconfdir/xdg/kaddressbook_themes.knsrc
 %_kf5_datadir/appdata/kaddressbook.appdata.xml
 %_kf5_datadir/applications/kaddressbook-importer.desktop
@@ -593,7 +565,6 @@
 %_kf5_datadir/applications/org.kde.blogilo.desktop
 %_kf5_datadir/appdata/blogilo.appdata.xml
 %_kf5_datadir/config.kcfg/blogilo.kcfg
-%_kf5_datadir/kxmlgui5/blogilo
 
 #------------------------------------------------------------------------------
 
@@ -612,8 +583,8 @@
 
 #------------------------------------------------------------------------------
 
-%define messagecore_major 4
-%define libmessagecore %mklibname messagecore %{messagecore_major}
+%define messagecore_major 5
+%define libmessagecore %mklibname KF5MessageCore %{messagecore_major}
 
 %package -n %libmessagecore
 Summary: KDEPIM 4 library
@@ -624,8 +595,8 @@
 KDEPIM 4 library.
 
 %files -n %libmessagecore
-%_kf5_libdir/libmessagecore.so.%{messagecore_major}*
-%_kf5_libdir/libmessagecore.so.5
+%_kf5_libdir/libKF5MessageCore.so.%{messagecore_major}*
+%_kf5_libdir/libKF5MessageCore.so.5
 
 #------------------------------------------------------------------------------
 
@@ -719,7 +690,7 @@
 
 #------------------------------------------------------------------------------
 
-%define kmailprivate_major 4
+%define kmailprivate_major 5
 %define libkmailprivate %mklibname kmailprivate %{kmailprivate_major}
 
 %package -n %libkmailprivate
@@ -731,7 +702,6 @@
 
 %files -n %libkmailprivate
 %_kf5_libdir/libkmailprivate.so.%{kmailprivate_major}*
-%_kf5_libdir/libkmailprivate.so.5
 
 #------------------------------------------------------------------------------
 
@@ -806,9 +776,7 @@
 %_kf5_datadir/knotifications5/akonadi_mailfilter_agent.notifyrc
 %_kf5_datadir/knotifications5/akonadi_followupreminder_agent.notifyrc
 %_kf5_datadir/knotifications5/akonadi_sendlater_agent.notifyrc
-%_kf5_datadir/kxmlgui5/sieveeditor
 %_kf5_datadir/importwizard
-%_kf5_datadir/kxmlgui5/headerthemeeditor
 %_kf5_datadir/akonadi/agents/archivemailagent.desktop
 %_kf5_datadir/akonadi/agents/followupreminder.desktop
 %_kf5_datadir/akonadi/agents/mailfilteragent.desktop
@@ -864,7 +832,6 @@
 %files -n ktnef
 %_kf5_bindir/ktnef
 %_kf5_datadir/applications/org.kde.ktnef.desktop
-%_kf5_datadir/kxmlgui5/ktnef
 
 #--------------------------------------------------------------------------------
 
@@ -900,20 +867,10 @@
 
 #------------------------------------------------------------------------------
 
-%package -n kincidenceeditor
-Summary: kincidenceeditor
-Group: Graphical desktop/KDE
-	
-%description -n kincidenceeditor
-New incidence editors
-
-%files -n kincidenceeditor
-%_kf5_bindir/kincidenceeditor
-
 #------------------------------------------------------------------------------
 
 %package accountwizard
-Summary: kincidenceeditor
+Summary: accountwizard
 Group: Graphical desktop/KDE
 
 %description accountwizard
@@ -1020,7 +977,6 @@
 %_kf5_datadir/kxmlgui5/kontact
 %_kf5_datadir/appdata/Kontact.appdata.xml
 %_kf5_datadir/kxmlgui5/kontactsummary
-%_kf5_datadir/knode
 
 #------------------------------------------------------------------------------
 
@@ -1040,7 +996,7 @@
 
 #------------------------------------------------------------------------------
 
-%define korganizer_interfaces_major 4
+%define korganizer_interfaces_major 5
 %define libkorganizer_interfaces %mklibname korganizer_interfaces %{korganizer_interfaces_major}
 
 %package -n %libkorganizer_interfaces
@@ -1135,12 +1091,11 @@
 
 %files -n %libkorganizerprivate
 %_kf5_libdir/libkorganizerprivate.so.%{korganizerprivate_major}*
-%_kf5_libdir/libkorganizerprivate.so.4*
 
 #------------------------------------------------------------------------------
 
 %define messagelist_major 5
-%define libmessagelist %mklibname messagelist %{messagelist_major}
+%define libmessagelist %mklibname KF5MessageList %{messagelist_major}
 
 %package -n %libmessagelist
 Summary: KDEPIM 4 library
@@ -1150,8 +1105,7 @@
 KDEPIM 4 library.
 
 %files -n %libmessagelist
-%_kf5_libdir/libmessagelist.so.%{messagelist_major}*
-%_kf5_libdir/libmessagelist.so.4*
+%_kf5_libdir/libKF5MessageList.so.%{messagelist_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1171,7 +1125,7 @@
 #------------------------------------------------------------------------------
 
 %define kleo_major 5
-%define libkleo %mklibname kleo %{kleo_major}
+%define libkleo %mklibname KF5Libkleo %{kleo_major}
 
 %package -n %libkleo
 Summary: KDE keymanagement library
@@ -1178,12 +1132,12 @@
 Group: System/Libraries
 %rename %{_lib}kleo4
 
+Obsoletes: libkpgp <= 15.07.90
 %description -n %libkleo
 KDE keymanagement library.
 
 %files -n %libkleo
-%_kf5_libdir/libkleo.so.%{kleo_major}*
-%_kf5_libdir/libkleo.so.4*
+%_kf5_libdir/libKF5Libkleo.so.%{kleo_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1238,12 +1192,11 @@
 %files -n akonadiconsole
 %_kf5_bindir/akonadiconsole
 %_kf5_datadir/applications/org.kde.akonadiconsole.desktop
-%_kf5_datadir/kxmlgui5/akonadiconsole
 
 #------------------------------------------------------------------------------
 
 %define calendarsupport_major 5
-%define libcalendarsupport %mklibname calendarsupport %{calendarsupport_major}
+%define libcalendarsupport %mklibname KF5CalendarSupport %{calendarsupport_major}
 
 %package -n %libcalendarsupport
 Summary: KDEPIM 4 library
@@ -1254,28 +1207,12 @@
 KDEPIM 4 library.
 
 %files -n %libcalendarsupport
-%_kf5_libdir/libcalendarsupport.so.%{calendarsupport_major}*
-%_kf5_libdir/libcalendarsupport.so.4*
+%_kf5_libdir/libKF5CalendarSupport.so.%{calendarsupport_major}*
 
 #------------------------------------------------------------------------------
 
-%define calendarsupportcollectionpage_major 4
-%define libcalendarsupportcollectionpage %mklibname calendarsupportcollectionpage %{calendarsupportcollectionpage_major}
-
-%package -n %libcalendarsupportcollectionpage
-Summary: KDEPIM 4 library
-Group: System/Libraries
-
-%description -n %libcalendarsupportcollectionpage
-KDEPIM 4 library.
-
-%files -n %libcalendarsupportcollectionpage
-%_kf5_libdir/libcalendarsupportcollectionpage.so.%{calendarsupportcollectionpage_major}*
-
-#------------------------------------------------------------------------------
-
 %define eventviews_major 5
-%define libeventviews %mklibname eventviews %{eventviews_major}
+%define libeventviews %mklibname KF5EventViews %{eventviews_major}
 
 %package -n %libeventviews
 Summary: KDEPIM 4 library
@@ -1286,43 +1223,10 @@
 KDEPIM 4 library.
 
 %files -n %libeventviews
-%_kf5_libdir/libeventviews.so.%{eventviews_major}*
-%_kf5_libdir/libeventviews.so.4*
+%_kf5_libdir/libKF5EventViews.so.%{eventviews_major}*
 
 #------------------------------------------------------------------------------
 
-%define incidenceeditorsng_major 5
-%define libincidenceeditorsng %mklibname incidenceeditorsng %{incidenceeditorsng_major}
-
-%package -n %libincidenceeditorsng
-Summary: KDEPIM 4 library
-Group: System/Libraries
-
-%description -n %libincidenceeditorsng
-KDEPIM 4 library.
-
-%files -n %libincidenceeditorsng
-%_kf5_libdir/libincidenceeditorsng.so.%{incidenceeditorsng_major}
-%_kf5_libdir/libincidenceeditorsng.so.4*
-
-#------------------------------------------------------------------------------
-
-%define incidenceeditorsngmobile_major 5
-%define libincidenceeditorsngmobile %mklibname incidenceeditorsngmobile %{incidenceeditorsngmobile_major}
-
-%package -n %libincidenceeditorsngmobile
-Summary: KDEPIM 4 library
-Group: System/Libraries
-
-%description -n %libincidenceeditorsngmobile
-KDEPIM 4 library.
-
-%files -n %libincidenceeditorsngmobile
-%_kf5_libdir/libincidenceeditorsngmobile.so.%{incidenceeditorsngmobile_major}*
-%_kf5_libdir/libincidenceeditorsngmobile.so.4*
-
-#------------------------------------------------------------------------------
-
 %define pimsettingexporterprivate_major 5
 %define libpimsettingexporterprivate %mklibname pimsettingexporterprivate %{pimsettingexporterprivate_major}
 
@@ -1335,12 +1239,11 @@
 
 %files -n %libpimsettingexporterprivate
 %_kf5_libdir/libpimsettingexporterprivate.so.%{pimsettingexporterprivate_major}*
-%_kf5_libdir/libpimsettingexporterprivate.so.4*
 
 #------------------------------------------------------------------------------
 
-%define kdepimdbusinterfaces_major 4
-%define libkdepimdbusinterfaces %mklibname kdepimdbusinterfaces %{kdepimdbusinterfaces_major}
+%define kdepimdbusinterfaces_major 5
+%define libkdepimdbusinterfaces %mklibname KF5KdepimDBusInterfaces %{kdepimdbusinterfaces_major}
 
 %package -n %libkdepimdbusinterfaces
 Summary: KDEPIM 4 library
@@ -1350,12 +1253,12 @@
 KDEPIM 4 library.
 
 %files -n %libkdepimdbusinterfaces
-%_kf5_libdir/libkdepimdbusinterfaces.so.%{kdepimdbusinterfaces_major}*
+%_kf5_libdir/libKF5KdepimDBusInterfaces.so.%{kdepimdbusinterfaces_major}*
 
 #------------------------------------------------------------------------------
 
-%define kdgantt2_major 1
-%define libkdgantt2 %mklibname kdgantt2 %{kdgantt2_major}
+%define kdgantt2_major 5
+%define libkdgantt2 %mklibname KF5KDGantt2 %{kdgantt2_major}
 
 %package -n %libkdgantt2
 Summary: KDEPIM 4 library
@@ -1365,7 +1268,7 @@
 KDEPIM 4 library.
 
 %files -n %libkdgantt2
-%_kf5_libdir/libkdgantt2.so.%{kdgantt2_major}*
+%_kf5_libdir/libKF5KDGantt2.so.%{kdgantt2_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1385,7 +1288,7 @@
 #------------------------------------------------------------------------------
 
 %define kmanagesieve_major 5
-%define libkmanagesieve %mklibname kmanagesieve %{kmanagesieve_major}
+%define libkmanagesieve %mklibname KF5KManageSieve %{kmanagesieve_major}
 
 %package -n %libkmanagesieve
 Summary: KDEPIM 4 library
@@ -1395,13 +1298,12 @@
 KDEPIM 4 library.
 
 %files -n %libkmanagesieve
-%_kf5_libdir/libkmanagesieve.so.%{kmanagesieve_major}*
-%_kf5_libdir/libkmanagesieve.so.4*
+%_kf5_libdir/libKF5KManageSieve.so.%{kmanagesieve_major}*
 
 #------------------------------------------------------------------------------
 
 %define ksieveui_major 5
-%define libksieveui %mklibname ksieveui %{ksieveui_major}
+%define libksieveui %mklibname KF5KSieveUi %{ksieveui_major}
 
 %package -n %libksieveui
 Summary: KDEPIM 4 library
@@ -1411,13 +1313,12 @@
 KDEPIM 4 library.
 
 %files -n %libksieveui
-%_kf5_libdir/libksieveui.so.%{ksieveui_major}*
-%_kf5_libdir/libksieveui.so.4*
+%_kf5_libdir/libKF5KSieveUi.so.%{ksieveui_major}*
 
 #------------------------------------------------------------------------------
 
 %define mailcommon_major 5
-%define libmailcommon %mklibname mailcommon %{mailcommon_major}
+%define libmailcommon %mklibname KF5MailCommon %{mailcommon_major}
 
 %package -n %libmailcommon
 Summary: KDEPIM 4 library
@@ -1427,13 +1328,12 @@
 KDEPIM 4 library.
 
 %files -n %libmailcommon
-%_kf5_libdir/libmailcommon.so.%{mailcommon_major}*
-%_kf5_libdir/libmailcommon.so.4*
+%_kf5_libdir/libKF5MailCommon.so.%{mailcommon_major}*
 
 #------------------------------------------------------------------------------
 
 %define messageviewer_major 5
-%define libmessageviewer %mklibname messageviewer %{messageviewer_major}
+%define libmessageviewer %mklibname KF5MessageViewer %{messageviewer_major}
 
 %package -n %libmessageviewer
 Summary: KDEPIM 4 library
@@ -1444,13 +1344,12 @@
 KDEPIM 4 library.
 
 %files -n %libmessageviewer
-%_kf5_libdir/libmessageviewer.so.%{messageviewer_major}*
-%_kf5_libdir/libmessageviewer.so.4*
+%_kf5_libdir/libKF5MessageViewer.so.%{messageviewer_major}*
 
 #------------------------------------------------------------------------------
 
 %define messagecomposer_major 5
-%define libmessagecomposer %mklibname messagecomposer %{messagecomposer_major}
+%define libmessagecomposer %mklibname KF5MessageComposer %{messagecomposer_major}
 
 %package -n %libmessagecomposer
 Summary: KDEPIM 4 library
@@ -1461,13 +1360,12 @@
 KDEPIM 4 library.
 
 %files -n %libmessagecomposer
-%_kf5_libdir/libmessagecomposer.so.%{messagecomposer_major}*
-%_kf5_libdir/libmessagecomposer.so.4*
+%_kf5_libdir/libKF5MessageComposer.so.%{messagecomposer_major}*
 
 #------------------------------------------------------------------------------
 
 %define templateparser_major 5
-%define libtemplateparser %mklibname templateparser %{templateparser_major}
+%define libtemplateparser %mklibname KF5TemplateParser %{templateparser_major}
 
 %package -n %libtemplateparser
 Summary: KDEPIM 4 library
@@ -1478,13 +1376,12 @@
 KDEPIM 4 library.
 
 %files -n %libtemplateparser
-%_kf5_libdir/libtemplateparser.so.%{templateparser_major}*
-%_kf5_libdir/libtemplateparser.so.4*
+%_kf5_libdir/libKF5TemplateParser.so.%{templateparser_major}*
 
 #------------------------------------------------------------------------------
 
 %define sendlater_major 5
-%define libsendlater %mklibname sendlater %{sendlater_major}
+%define libsendlater %mklibname KF5SendLater %{sendlater_major}
 
 %package -n %libsendlater
 Summary: KDEPIM 4 library
@@ -1495,13 +1392,12 @@
 KDEPIM 4 library.
 
 %files -n %libsendlater
-%_kf5_libdir/libsendlater.so.%{sendlater_major}*
-%_kf5_libdir/libsendlater.so.4*
+%_kf5_libdir/libKF5SendLater.so.%{sendlater_major}*
 
 #------------------------------------------------------------------------------
 
 %define followupreminder_major 5
-%define libfollowupreminder %mklibname followupreminder %{followupreminder_major}
+%define libfollowupreminder %mklibname KF5FollowupReminder %{followupreminder_major}
 
 %package -n %libfollowupreminder
 Summary: KDEPIM 4 library
@@ -1511,8 +1407,7 @@
 KDEPIM 4 library.
 
 %files -n %libfollowupreminder
-%_kf5_libdir/libfollowupreminder.so.%{followupreminder_major}*
-%_kf5_libdir/libfollowupreminder.so.4*
+%_kf5_libdir/libKF5FollowupReminder.so.%{followupreminder_major}*
 
 %if %kontact_mobile
 #------------------------------------------------------------------------------
@@ -1612,7 +1507,7 @@
 #------------------------------------------------------------------------------
 
 %define libpimcommon_major 5
-%define libpimcommon %mklibname pimcommon %{libpimcommon_major}
+%define libpimcommon %mklibname KF5PimCommon %{libpimcommon_major}
 
 %package -n %libpimcommon
 Summary: Library to import/export PIM configuration
@@ -1623,13 +1518,12 @@
 This library provides the tool to import/export PIM configuration.
 
 %files -n %libpimcommon
-%_kf5_libdir/libpimcommon.so.%{libpimcommon_major}*
-%_kf5_libdir/libpimcommon.so.4*
+%_kf5_libdir/libKF5PimCommon.so.%{libpimcommon_major}*
 
 #------------------------------------------------------------------------------
 
 %define libcomposereditorng_major 5
-%define libcomposereditorng %mklibname composereditorng %{libcomposereditorng_major}
+%define libcomposereditorng %mklibname KF5ComposerEditorNG %{libcomposereditorng_major}
 
 %package -n %libcomposereditorng
 Summary: Library providing autospell checking
@@ -1639,13 +1533,12 @@
 This library provides autospell checking.
 
 %files -n %libcomposereditorng
-%_kf5_libdir/libcomposereditorng.so.%{libcomposereditorng_major}*
-%_kf5_libdir/libcomposereditorng.so.4*
+%_kf5_libdir/libKF5ComposerEditorNG.so.%{libcomposereditorng_major}*
 
 #------------------------------------------------------------------------------
 
 %define libgrantleetheme_major 5
-%define libgrantleetheme %mklibname grantleetheme %{libgrantleetheme_major}
+%define libgrantleetheme %mklibname KF5GrantleeTheme %{libgrantleetheme_major}
 
 %package -n %libgrantleetheme
 Summary: Library providing grantlee theme support
@@ -1656,8 +1549,7 @@
 This library provides grantlee theme support.
 
 %files -n %libgrantleetheme
-%_kf5_libdir/libgrantleetheme.so.%{libgrantleetheme_major}*
-%_kf5_libdir/libgrantleetheme.so.4*
+%_kf5_libdir/libKF5GrantleeTheme.so.%{libgrantleetheme_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1673,12 +1565,11 @@
 
 %files -n %libgrantleethemeeditor
 %_kf5_libdir/libgrantleethemeeditor.so.%{libgrantleethemeeditor_major}*
-%_kf5_libdir/libgrantleethemeeditor.so.4*
 
 #------------------------------------------------------------------------------
 
 %define libkaddressbookgrantlee_major 5
-%define libkaddressbookgrantlee %mklibname kaddressbookgrantlee %{libkaddressbookgrantlee_major}
+%define libkaddressbookgrantlee %mklibname KF5KaddressbookGrantlee %{libkaddressbookgrantlee_major}
 
 %package -n %libkaddressbookgrantlee
 Summary: Library providing grantlee theme editor support
@@ -1689,8 +1580,7 @@
 This library provides grantlee theme editor support.
 
 %files -n %libkaddressbookgrantlee
-%_kf5_libdir/libkaddressbookgrantlee.so.%{libkaddressbookgrantlee_major}*
-%_kf5_libdir/libkaddressbookgrantlee.so.4*
+%_kf5_libdir/libKF5KaddressbookGrantlee.so.%{libkaddressbookgrantlee_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1706,12 +1596,11 @@
 
 %files -n %libknotesprivate
 %_kf5_libdir/libknotesprivate.so.%{libknotesprivate_major}*
-%_kf5_libdir/libknotesprivate.so.4*
 
 #------------------------------------------------------------------------------
 
 %define libnoteshared_major 5
-%define libnoteshared %mklibname noteshared %{libnoteshared_major}
+%define libnoteshared %mklibname KF5NoteShared %{libnoteshared_major}
 
 %package -n %libnoteshared
 Summary: Library providing grantlee theme editor support
@@ -1721,8 +1610,7 @@
 This library provides grantlee theme editor support.
 
 %files -n %libnoteshared
-%_kf5_libdir/libnoteshared.so.%{libnoteshared_major}*
-%_kf5_libdir/libnoteshared.so.4*
+%_kf5_libdir/libKF5NoteShared.so.%{libnoteshared_major}*
 
 #------------------------------------------------------------------------------
 
@@ -1733,14 +1621,11 @@
 Requires: %libakregatorinterfaces = %epoch:%version
 Requires: %libakregatorprivate = %epoch:%version
 Requires: %libcalendarsupport = %epoch:%version
-Requires: %libcalendarsupportcollectionpage = %epoch:%version
 Requires: %libcomposereditorng = %epoch:%version
 Requires: %libeventviews = %epoch:%version
 Requires: %libfollowupreminder = %epoch:%version
 Requires: %libgrantleetheme = %epoch:%version
 Requires: %libgrantleethemeeditor = %epoch:%version
-Requires: %libincidenceeditorsng = %epoch:%version
-Requires: %libincidenceeditorsngmobile = %epoch:%version
 Requires: %libkaddressbookgrantlee = %epoch:%version
 Requires: %libkdepim = %epoch:%version
 Requires: %libkdepimdbusinterfaces = %epoch:%version
@@ -1754,7 +1639,6 @@
 Requires: %libkorganizer_core = %epoch:%version
 Requires: %libkorganizer_interfaces = %epoch:%version
 Requires: %libkorganizerprivate = %epoch:%version
-Requires: %libkpgp = %epoch:%version
 Requires: %libksieve = %epoch:%version
 Requires: %libksieveui = %epoch:%version
 Requires: %libmailimporter = %epoch:%version
@@ -1801,6 +1685,7 @@
  -DKDEPIM_BUILD_MOBILE=false
 %endif
 
+export CPATH="${CPATH}:/usr/include/phonon4qt5"
 %make
 
 %install