Index: SOURCES/mate-tweak-17.04.1-mga-fix_applet_paths.patch
===================================================================
--- SOURCES/mate-tweak-17.04.1-mga-fix_applet_paths.patch	(revision 1629140)
+++ SOURCES/mate-tweak-17.04.1-mga-fix_applet_paths.patch	(nonexistent)
@@ -1,33 +0,0 @@
-Index: ubuntu-mate-mate-tweak-2f9a2d07cee3/mate-tweak
-===================================================================
---- ubuntu-mate-mate-tweak-2f9a2d07cee3/mate-tweak
-+++ ubuntu-mate-mate-tweak-2f9a2d07cee3/mate-tweak	2017-03-16 02:16:30.403931031 +0300
-@@ -1028,7 +1028,7 @@
-         if os.path.exists('/usr/share/applications/mageia-drakconf.desktop'):
-             self.mageia_cc_available = True
- 
--        if os.path.exists('/usr/lib/mate-applets/mate-dock-applet/dock.py'):
-+        if os.path.exists('/usr/share/mate-applets/mate-dock-applet/dock.py'):
-             self.mate_dock_available = True
- 
-         if os.path.exists('/usr/lib/mate-applets/topmenu-mate-panel-applet') and \
-@@ -1036,15 +1036,15 @@
-            os.path.exists('/usr/lib/libtopmenu-client-gtk3.so.0'):
-             self.topmenu_available = True
- 
--        if os.path.exists('/usr/lib/mate-menu/mate-menu.py'):
-+        if os.path.exists('/usr/bin/mate-menu'):
-             self.mate_menu_available = True
- 
--        if os.path.exists('/usr/lib/' + self.multiarch + '/brisk-menu/brisk-menu') and \
-+        if os.path.exists('/usr/libexec/brisk-menu') and \
-             os.path.exists('/usr/share/mate-panel/applets/com.solus_project.brisk.BriskMenu.mate-panel-applet'):
-             self.brisk_menu_available = True
- 
-         if os.path.exists('/usr/bin/mate-maximus') and \
--           os.path.exists('/usr/lib/mate-netbook/mate-window-picker-applet'):
-+           os.path.exists('/usr/libexec/mate-netbook/mate-window-picker-applet'):
-             self.maximus_available = True
- 
-         if os.path.exists('usr/lib/linuxmint/mintMenu/mintMenu.py'):
-         
Index: SOURCES/mate-tweak-18.04.1-mga-maggy_layout.patch
===================================================================
--- SOURCES/mate-tweak-18.04.1-mga-maggy_layout.patch	(revision 1629140)
+++ SOURCES/mate-tweak-18.04.1-mga-maggy_layout.patch	(working copy)
@@ -1,32 +1,15 @@
-Index: mate-tweak-18.04.1/mate-tweak
-===================================================================
---- mate-tweak-18.04.1/mate-tweak
-+++ mate-tweak-18.04.1/mate-tweak	2018-01-06 20:25:30.755270079 +0300
-@@ -857,10 +857,12 @@
+--- mate-tweak-20.10.0/mate-tweak.OR	2020-09-21 22:13:14.303879561 +0300
++++ mate-tweak-20.10.0/mate-tweak	2020-09-21 22:16:08.124552824 +0300
+@@ -1147,6 +1147,12 @@
+            self.mageia_cc_available:
+             self.add_to_panel_list(panels, "Mageia", "mageia")
  
-         # Determine if the dock should be enabled
-         if (new_layout.startswith('eleven') and self.dock is not None) or \
--           (new_layout.startswith('pantheon') and self.dock is not None):
-+           (new_layout.startswith('pantheon') and self.dock is not None) or \
-+           (new_layout.startswith('maggy') and self.dock is not None):
-             self.enable_dock()
-         elif not new_layout.startswith('eleven') or \
--             not new_layout.startswith('pantheon'):
-+             not new_layout.startswith('pantheon')or \
-+             not new_layout.startswith('maggy'):
-             self.disable_dock()
- 
-         # Determine if maximised windows should be undecorated
-@@ -1233,6 +1235,12 @@
-         if self.panel_layout_exists('mageia') and \
-            self.mageia_cc_available:
-             panels.append([_("Mageia"), "mageia"])
-+            
 +        if self.panel_layout_exists('maggy') and \
 +           self.mageia_cc_available and \
 +           self.dock is not None and \
 +           self.mate_menu_available:
 +            panels.append([_("Mageia-Modern"), "maggy"])
- 
++
          if self.panel_layout_exists('manjaro') and \
             self.brisk_menu_available:
+             self.add_to_panel_list(panels, "Manjaro", "manjaro")
Index: SOURCES/mate-tweak-18.04.13-mga-fix_applet_paths.patch
===================================================================
--- SOURCES/mate-tweak-18.04.13-mga-fix_applet_paths.patch	(revision 1629140)
+++ SOURCES/mate-tweak-18.04.13-mga-fix_applet_paths.patch	(working copy)
@@ -1,8 +1,6 @@
-Index: mate-tweak-18.04.13/mate-tweak
-===================================================================
---- mate-tweak-18.04.13/mate-tweak
-+++ mate-tweak-18.04.13/mate-tweak	2018-03-10 00:41:54.690245644 +0300
-@@ -1092,14 +1092,14 @@
+--- mate-tweak-20.10.0/mate-tweak.OR	2020-09-21 14:24:31.889567142 +0300
++++ mate-tweak-20.10.0/mate-tweak	2020-09-21 14:25:41.332044469 +0300
+@@ -1045,10 +1045,10 @@
          if os.path.exists('/usr/share/applications/mageia-drakconf.desktop'):
              self.mageia_cc_available = True
  
@@ -15,12 +13,7 @@
              self.mate_menu_available = True
  
          if os.path.exists('/usr/lib/' + self.multiarch + '/brisk-menu/brisk-menu') or \
--            os.path.exists('/usr/lib/brisk-menu/brisk-menu'):
-+            os.path.exists('/usr/libexec/brisk-menu'):
-             if os.path.exists('/usr/share/mate-panel/applets/com.solus_project.brisk.BriskMenu.mate-panel-applet'):
-              self.brisk_menu_available = True
- 
-@@ -1108,7 +1108,7 @@
+@@ -1062,7 +1062,7 @@
              self.appmenu_applet_available = True
  
          if os.path.exists('/usr/bin/mate-maximus') and \
@@ -28,4 +21,4 @@
 +           os.path.exists('/usr/libexec/mate-netbook/mate-window-picker-applet'):
              self.maximus_available = True
  
-         if os.path.exists('usr/lib/linuxmint/mintMenu/mintMenu.py'):
+         if os.path.exists('/usr/lib/linuxmint/mintMenu/mintMenu.py'):
Index: SOURCES/sha1.lst
===================================================================
--- SOURCES/sha1.lst	(revision 1629140)
+++ SOURCES/sha1.lst	(working copy)
@@ -1,2 +1,2 @@
-ed01033366b80129ebf2ad97be70dff7fde98d04  18.04.14.tar.gz
+8fb834229c6d226e8c0728f69fdde625df677294  20.10.0.tar.gz
 9a323a8a2360bbdc2a9d3d2d0a928a00102498b9  panel-layouts.tar.xz
Index: SPECS/mate-tweak.spec
===================================================================
--- SPECS/mate-tweak.spec	(revision 1629140)
+++ SPECS/mate-tweak.spec	(working copy)
@@ -1,7 +1,7 @@
 Name:       mate-tweak
 Summary:    Mate desktop configuration tool
-Version:    18.04.14
-Release:    %mkrel 5
+Version:    20.10.0
+Release:    %mkrel 1
 URL:        https://github.com/ubuntu-mate/mate-tweak
 License:    GPLv2+
 Group:      Graphical desktop/MATE
@@ -49,6 +49,7 @@
  * Window manager fine-tuning.
 
 %prep
+## patch1 -p1 -b .OR
 %autosetup -p1 -a 1
 
 # We don't provide xdg-su. Change it to use polkit.