Index: SOURCES/opencv-3.4.7-CVE-2019-15939.patch
===================================================================
--- SOURCES/opencv-3.4.7-CVE-2019-15939.patch	(revision 1482477)
+++ SOURCES/opencv-3.4.7-CVE-2019-15939.patch	(nonexistent)
@@ -1,67 +0,0 @@
-From 5a497077f109d543ab86dfdf8add1c76c0e47d29 Mon Sep 17 00:00:00 2001
-From: Alexander Alekhin <alexander.alekhin@intel.com>
-Date: Fri, 23 Aug 2019 16:14:53 +0300
-Subject: [PATCH] objdetect: add input check in HOG detector
-
----
- modules/objdetect/src/hog.cpp | 19 ++++++++++++-------
- 1 file changed, 12 insertions(+), 7 deletions(-)
-
-diff --git a/modules/objdetect/src/hog.cpp b/modules/objdetect/src/hog.cpp
-index 9524851eebb..378bab30876 100644
---- a/modules/objdetect/src/hog.cpp
-+++ b/modules/objdetect/src/hog.cpp
-@@ -68,6 +68,7 @@ enum {DESCR_FORMAT_COL_BY_COL, DESCR_FORMAT_ROW_BY_ROW};
- 
- static int numPartsWithin(int size, int part_size, int stride)
- {
-+    CV_Assert(stride != 0);
-     return (size - part_size + stride) / stride;
- }
- 
-@@ -80,13 +81,17 @@ static Size numPartsWithin(cv::Size size, cv::Size part_size,
- 
- static size_t getBlockHistogramSize(Size block_size, Size cell_size, int nbins)
- {
-+    CV_Assert(!cell_size.empty());
-     Size cells_per_block = Size(block_size.width / cell_size.width,
--        block_size.height / cell_size.height);
-+                                block_size.height / cell_size.height);
-     return (size_t)(nbins * cells_per_block.area());
- }
- 
- size_t HOGDescriptor::getDescriptorSize() const
- {
-+    CV_Assert(!cellSize.empty());
-+    CV_Assert(!blockStride.empty());
-+
-     CV_Assert(blockSize.width % cellSize.width == 0 &&
-         blockSize.height % cellSize.height == 0);
-     CV_Assert((winSize.width - blockSize.width) % blockStride.width == 0 &&
-@@ -144,20 +149,20 @@ bool HOGDescriptor::read(FileNode& obj)
-     if( !obj.isMap() )
-         return false;
-     FileNodeIterator it = obj["winSize"].begin();
--    it >> winSize.width >> winSize.height;
-+    it >> winSize.width >> winSize.height; CV_Assert(!winSize.empty());
-     it = obj["blockSize"].begin();
--    it >> blockSize.width >> blockSize.height;
-+    it >> blockSize.width >> blockSize.height; CV_Assert(!blockSize.empty());
-     it = obj["blockStride"].begin();
--    it >> blockStride.width >> blockStride.height;
-+    it >> blockStride.width >> blockStride.height; CV_Assert(!blockStride.empty());
-     it = obj["cellSize"].begin();
--    it >> cellSize.width >> cellSize.height;
--    obj["nbins"] >> nbins;
-+    it >> cellSize.width >> cellSize.height; CV_Assert(!cellSize.empty());
-+    obj["nbins"] >> nbins; CV_Assert(nbins > 0);
-     obj["derivAperture"] >> derivAperture;
-     obj["winSigma"] >> winSigma;
-     obj["histogramNormType"] >> histogramNormType;
-     obj["L2HysThreshold"] >> L2HysThreshold;
-     obj["gammaCorrection"] >> gammaCorrection;
--    obj["nlevels"] >> nlevels;
-+    obj["nlevels"] >> nlevels; CV_Assert(nlevels > 0);
-     if (obj["signedGradient"].empty())
-         signedGradient = false;
-     else
Index: SOURCES/opencv-avoid-built-in-3rdparty.patch
===================================================================
--- SOURCES/opencv-avoid-built-in-3rdparty.patch	(nonexistent)
+++ SOURCES/opencv-avoid-built-in-3rdparty.patch	(working copy)
@@ -0,0 +1,11 @@
+--- opencv-4.2.0/cmake/OpenCVFindLibsGrfmt.cmake.orig	2020-01-24 12:33:36.203760660 +0200
++++ opencv-4.2.0/cmake/OpenCVFindLibsGrfmt.cmake	2020-01-24 12:33:42.341699358 +0200
+@@ -222,7 +222,7 @@
+     ocv_clear_vars(OPENEXR_INCLUDE_PATHS OPENEXR_LIBRARIES OPENEXR_ILMIMF_LIBRARY OPENEXR_VERSION)
+ 
+     set(OPENEXR_LIBRARIES IlmImf)
+-    add_subdirectory("${OpenCV_SOURCE_DIR}/3rdparty/openexr")
++    # add_subdirectory("${OpenCV_SOURCE_DIR}/3rdparty/openexr")
+     if(OPENEXR_VERSION)  # check via TARGET doesn't work
+       set(HAVE_OPENEXR YES)
+     endif()

Property changes on: SOURCES/opencv-avoid-built-in-3rdparty.patch
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Index: SOURCES/sha1.lst
===================================================================
--- SOURCES/sha1.lst	(revision 1482477)
+++ SOURCES/sha1.lst	(working copy)
@@ -1,2 +1,2 @@
-8f249a31c35219606ddcd3a722f8f16fadb3d193  opencv-3.4.7.tar.gz
-9e6668acd2055ebfb34bcef28b83993000f64c82  opencv_contrib-3.4.7.tar.gz
+6b4af554adf0f554912490eb401f6b7fa8859dde  opencv-4.2.0.tar.gz
+4871cfbf5c0e8ee9fb5a5a122bc55ed785ef2b4a  opencv_contrib-4.2.0.tar.gz
Index: SPECS/opencv.spec
===================================================================
--- SPECS/opencv.spec	(revision 1482477)
+++ SPECS/opencv.spec	(working copy)
@@ -14,8 +14,8 @@
 %global _python_bytecompile_extra 0
 
 Name:           opencv
-Version:        3.4.7
-Release:        %mkrel 4
+Version:        4.2.0
+Release:        %mkrel 1
 Group:          Sciences/Computer science
 License:        GPLv2+
 Summary:        Open Source Computer Vision library
@@ -23,8 +23,9 @@
 Source0:        https://github.com/opencv/opencv/archive/%{version}/%{name}-%{version}.tar.gz
 Source1:	https://github.com/opencv/opencv_contrib/archive/%{version}/%{name}_contrib-%{version}.tar.gz
 # Patch0:       opencv-2.4.13.5-shared-ts-module.patch
-Patch1:         opencv-3.4.7-CVE-2019-15939.patch
+Patch1:         opencv-avoid-built-in-3rdparty.patch
 BuildRequires:  cmake
+BuildRequires:  pkgconfig(gflags)
 BuildRequires:  pkgconfig(gstreamer-app-1.0)
 BuildRequires:  pkgconfig(gstreamer-base-1.0)
 BuildRequires:  pkgconfig(gstreamer-video-1.0)
@@ -67,7 +68,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_core_soname 3.4
+%define libopencv_core_soname 4.2
 %define libopencv_core %mklibname opencv_core %{libopencv_core_soname}
 
 %package -n %{libopencv_core}
@@ -84,7 +85,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_imgcodecs_soname 3.4
+%define libopencv_imgcodecs_soname 4.2
 %define libopencv_imgcodecs %mklibname opencv_imgcodecs %{libopencv_imgcodecs_soname}
 
 %package -n %{libopencv_imgcodecs}
@@ -102,7 +103,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_imgproc_soname 3.4
+%define libopencv_imgproc_soname 4.2
 %define libopencv_imgproc %mklibname opencv_imgproc %{libopencv_imgproc_soname}
 
 %package -n %{libopencv_imgproc}
@@ -120,7 +121,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_highgui_soname 3.4
+%define libopencv_highgui_soname 4.2
 %define libopencv_highgui %mklibname opencv_highgui %{libopencv_highgui_soname}
 
 %package -n %{libopencv_highgui}
@@ -138,7 +139,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_ml_soname 3.4
+%define libopencv_ml_soname 4.2
 %define libopencv_ml %mklibname opencv_ml %{libopencv_ml_soname}
 
 %package -n %{libopencv_ml}
@@ -159,7 +160,7 @@
 
 %if "%{with_ts}"
 
-%define libopencv_ts_soname 3.4
+%define libopencv_ts_soname 4.2
 %define libopencv_ts %mklibname opencv_ts %{libopencv_ts_soname}
 
 %package -n %{libopencv_ts}
@@ -178,7 +179,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_flann_soname 3.4
+%define libopencv_flann_soname 4.2
 %define libopencv_flann %mklibname opencv_flann %{libopencv_flann_soname}
 
 %package -n %{libopencv_flann}
@@ -195,7 +196,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_calib3d_soname 3.4
+%define libopencv_calib3d_soname 4.2
 %define libopencv_calib3d %mklibname opencv_calib3d %{libopencv_calib3d_soname}
 
 %package -n %{libopencv_calib3d}
@@ -214,7 +215,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_features2d_soname 3.4
+%define libopencv_features2d_soname 4.2
 %define libopencv_features2d %mklibname opencv_features2d %{libopencv_features2d_soname}
 
 %package -n %{libopencv_features2d}
@@ -235,7 +236,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_video_soname 3.4
+%define libopencv_video_soname 4.2
 %define libopencv_video %mklibname opencv_video %{libopencv_video_soname}
 
 %package -n %{libopencv_video}
@@ -254,7 +255,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_objdetect_soname 3.4
+%define libopencv_objdetect_soname 4.2
 %define libopencv_objdetect %mklibname opencv_objdetect %{libopencv_objdetect_soname}
 
 %package -n %{libopencv_objdetect}
@@ -274,7 +275,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_dnn_soname 3.4
+%define libopencv_dnn_soname 4.2
 %define libopencv_dnn %mklibname opencv_dnn %{libopencv_dnn_soname}
 
 %package -n %{libopencv_dnn}
@@ -290,7 +291,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_photo_soname 3.4
+%define libopencv_photo_soname 4.2
 %define libopencv_photo %mklibname opencv_photo %{libopencv_photo_soname}
 
 %package -n %{libopencv_photo}
@@ -309,7 +310,7 @@
 
 %define with_gpu %{nil}
 %if "%{with_gpu}"
-%define libopencv_gpu_soname 3.4
+%define libopencv_gpu_soname 4.2
 %define libopencv_gpu %mklibname opencv_gpu %{libopencv_gpu_soname}
 
 %package -n %{libopencv_gpu}
@@ -335,7 +336,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_shape_soname 3.4
+%define libopencv_shape_soname 4.2
 %define libopencv_shape %mklibname opencv_shape %{libopencv_shape_soname}
 
 %package -n %{libopencv_shape}
@@ -351,7 +352,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_stitching_soname 3.4
+%define libopencv_stitching_soname 4.2
 %define libopencv_stitching %mklibname opencv_stitching %{libopencv_stitching_soname}
 
 %package -n %{libopencv_stitching}
@@ -372,7 +373,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_videoio_soname 3.4
+%define libopencv_videoio_soname 4.2
 %define libopencv_videoio %mklibname opencv_videoio %{libopencv_videoio_soname}
 
 %package -n %{libopencv_videoio}
@@ -388,7 +389,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_videostab_soname 3.4
+%define libopencv_videostab_soname 4.2
 %define libopencv_videostab %mklibname opencv_videostab %{libopencv_videostab_soname}
 
 %package -n %{libopencv_videostab}
@@ -404,7 +405,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_superres_soname 3.4
+%define libopencv_superres_soname 4.2
 %define libopencv_superres %mklibname opencv_superres %{libopencv_superres_soname}
 
 %package -n %{libopencv_superres}
@@ -422,7 +423,7 @@
 
 %define with_ocl %{nil}
 %if "%{with_ocl}"
-%define libopencv_ocl_soname 3.4
+%define libopencv_ocl_soname 4.2
 %define libopencv_ocl %mklibname opencv_ocl %{libopencv_ocl_soname}
 
 %package -n %{libopencv_ocl}
@@ -441,7 +442,7 @@
 
 %if %{with contrib}
 
-%define libopencv_aruco_soname 3.4
+%define libopencv_aruco_soname 4.2
 %define libopencv_aruco %mklibname opencv_aruco %{libopencv_aruco_soname}
 
 %package -n %{libopencv_aruco}
@@ -457,7 +458,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_bgsegm_soname 3.4
+%define libopencv_bgsegm_soname 4.2
 %define libopencv_bgsegm %mklibname opencv_bgsegm %{libopencv_bgsegm_soname}
 
 %package -n %{libopencv_bgsegm}
@@ -473,7 +474,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_bioinspired_soname 3.4
+%define libopencv_bioinspired_soname 4.2
 %define libopencv_bioinspired %mklibname opencv_bioinspired %{libopencv_bioinspired_soname}
 
 %package -n %{libopencv_bioinspired}
@@ -489,7 +490,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_ccalib_soname 3.4
+%define libopencv_ccalib_soname 4.2
 %define libopencv_ccalib %mklibname opencv_ccalib %{libopencv_ccalib_soname}
 
 %package -n %{libopencv_ccalib}
@@ -505,7 +506,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_datasets_soname 3.4
+%define libopencv_datasets_soname 4.2
 %define libopencv_datasets %mklibname opencv_datasets %{libopencv_datasets_soname}
 
 %package -n %{libopencv_datasets}
@@ -521,7 +522,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_dnn_objdetect_soname 3.4
+%define libopencv_dnn_objdetect_soname 4.2
 %define libopencv_dnn_objdetect %mklibname opencv_dnn_objdetect %{libopencv_dnn_objdetect_soname}
 
 %package -n %{libopencv_dnn_objdetect}
@@ -538,7 +539,7 @@
 #--------------------------------------------------------------------------------
 
 %if %{with internet}
-%define libopencv_dnn_modern_soname 3.4
+%define libopencv_dnn_modern_soname 4.2
 %define libopencv_dnn_modern %mklibname opencv_dnn_modern %{libopencv_dnn_modern_soname}
 
 %package -n %{libopencv_dnn_modern}
@@ -555,7 +556,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_dpm_soname 3.4
+%define libopencv_dpm_soname 4.2
 %define libopencv_dpm %mklibname opencv_dpm %{libopencv_dpm_soname}
 
 %package -n %{libopencv_dpm}
@@ -571,7 +572,7 @@
 #--------------------------------------------------------------------------------
 
 %if %{with internet}
-%define libopencv_face_soname 3.4
+%define libopencv_face_soname 4.2
 %define libopencv_face %mklibname opencv_face %{libopencv_face_soname}
 
 %package -n %{libopencv_face}
@@ -588,7 +589,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_freetype_soname 3.4
+%define libopencv_freetype_soname 4.2
 %define libopencv_freetype %mklibname opencv_freetype %{libopencv_freetype_soname}
 
 %package -n %{libopencv_freetype}
@@ -603,7 +604,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_fuzzy_soname 3.4
+%define libopencv_fuzzy_soname 4.2
 %define libopencv_fuzzy %mklibname opencv_fuzzy %{libopencv_fuzzy_soname}
 
 %package -n %{libopencv_fuzzy}
@@ -618,7 +619,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_hfs_soname 3.4
+%define libopencv_hfs_soname 4.2
 %define libopencv_hfs %mklibname opencv_hfs %{libopencv_hfs_soname}
 
 %package -n %{libopencv_hfs}
@@ -633,7 +634,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_img_hash_soname 3.4
+%define libopencv_img_hash_soname 4.2
 %define libopencv_img_hash %mklibname opencv_img_hash %{libopencv_img_hash_soname}
 
 %package -n %{libopencv_img_hash}
@@ -649,7 +650,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_line_descriptor_soname 3.4
+%define libopencv_line_descriptor_soname 4.2
 %define libopencv_line_descriptor %mklibname opencv_line_descriptor %{libopencv_line_descriptor_soname}
 
 %package -n %{libopencv_line_descriptor}
@@ -664,7 +665,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_optflow_soname 3.4
+%define libopencv_optflow_soname 4.2
 %define libopencv_optflow %mklibname opencv_optflow %{libopencv_optflow_soname}
 
 %package -n %{libopencv_optflow}
@@ -680,7 +681,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_phase_unwrapping_soname 3.4
+%define libopencv_phase_unwrapping_soname 4.2
 %define libopencv_phase_unwrapping %mklibname opencv_phase_unwrapping %{libopencv_phase_unwrapping_soname}
 
 %package -n %{libopencv_phase_unwrapping}
@@ -695,7 +696,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_plot_soname 3.4
+%define libopencv_plot_soname 4.2
 %define libopencv_plot %mklibname opencv_plot %{libopencv_plot_soname}
 
 %package -n %{libopencv_plot}
@@ -710,7 +711,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_reg_soname 3.4
+%define libopencv_reg_soname 4.2
 %define libopencv_reg %mklibname opencv_reg %{libopencv_reg_soname}
 
 %package -n %{libopencv_reg}
@@ -726,7 +727,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_rgbd_soname 3.4
+%define libopencv_rgbd_soname 4.2
 %define libopencv_rgbd %mklibname opencv_rgbd %{libopencv_rgbd_soname}
 
 %package -n %{libopencv_rgbd}
@@ -742,7 +743,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_saliency_soname 3.4
+%define libopencv_saliency_soname 4.2
 %define libopencv_saliency %mklibname opencv_saliency %{libopencv_saliency_soname}
 
 %package -n %{libopencv_saliency}
@@ -757,7 +758,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_stereo_soname 3.4
+%define libopencv_stereo_soname 4.2
 %define libopencv_stereo %mklibname opencv_stereo %{libopencv_stereo_soname}
 
 %package -n %{libopencv_stereo}
@@ -773,7 +774,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_structured_light_soname 3.4
+%define libopencv_structured_light_soname 4.2
 %define libopencv_structured_light %mklibname opencv_structured_light %{libopencv_structured_light_soname}
 
 %package -n %{libopencv_structured_light}
@@ -788,7 +789,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_surface_matching_soname 3.4
+%define libopencv_surface_matching_soname 4.2
 %define libopencv_surface_matching %mklibname opencv_surface_matching %{libopencv_surface_matching_soname}
 
 %package -n %{libopencv_surface_matching}
@@ -803,7 +804,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_text_soname 3.4
+%define libopencv_text_soname 4.2
 %define libopencv_text %mklibname opencv_text %{libopencv_text_soname}
 
 %package -n %{libopencv_text}
@@ -818,7 +819,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_tracking_soname 3.4
+%define libopencv_tracking_soname 4.2
 %define libopencv_tracking %mklibname opencv_tracking %{libopencv_tracking_soname}
 
 %package -n %{libopencv_tracking}
@@ -835,7 +836,7 @@
 
 %if %{with internet}
 %if %{with nonfree}
-%define libopencv_xfeatures2d_soname 3.4
+%define libopencv_xfeatures2d_soname 4.2
 %define libopencv_xfeatures2d %mklibname opencv_xfeatures2d %{libopencv_xfeatures2d_soname}
 
 %package -n %{libopencv_xfeatures2d}
@@ -854,7 +855,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_ximgproc_soname 3.4
+%define libopencv_ximgproc_soname 4.2
 %define libopencv_ximgproc %mklibname opencv_ximgproc %{libopencv_ximgproc_soname}
 
 %package -n %{libopencv_ximgproc}
@@ -870,7 +871,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_xobjdetect_soname 3.4
+%define libopencv_xobjdetect_soname 4.2
 %define libopencv_xobjdetect %mklibname opencv_xobjdetect %{libopencv_xobjdetect_soname}
 
 %package -n %{libopencv_xobjdetect}
@@ -886,7 +887,7 @@
 
 #--------------------------------------------------------------------------------
 
-%define libopencv_xphoto_soname 3.4
+%define libopencv_xphoto_soname 4.2
 %define libopencv_xphoto %mklibname opencv_xphoto %{libopencv_xphoto_soname}
 
 %package -n %{libopencv_xphoto}
@@ -976,11 +977,11 @@
 %{_libdir}/*.so
 %{_includedir}/*
 %{_libdir}/pkgconfig/*
-%{_datadir}/licenses/opencv3/*.txt
-%{_datadir}/OpenCV/*.cmake
-%{_datadir}/OpenCV/valgrind*.supp
+%{_datadir}/licenses/opencv4/*.txt
+%{_libdir}/cmake/opencv4/*.cmake
+%{_datadir}/opencv4/valgrind*.supp
 %{_bindir}/opencv_version
-%{_bindir}/setup_vars_opencv3.sh
+%{_bindir}/setup_vars_opencv4.sh
 
 #--------------------------------------------------------------------------------
 %package -n python3-opencv
@@ -1059,9 +1060,11 @@
 %endif
 
 %build
+# Was for gflags
+# export CPATH="$CPATH:/usr/include"
 %cmake \
 %if %{with contrib}
-        -DOPENCV_EXTRA_MODULES_PATH=../opencv_contrib-%{version}/modules \
+        -DOPENCV_EXTRA_MODULES_PATH=./opencv_contrib-%{version}/modules \
 %endif
 %ifarch %{arm}
         -DOPENCV_EXTRA_CXX_FLAGS='-Wno-psabi' \
@@ -1070,6 +1073,7 @@
         -DCPU_BASELINE= \
 %endif
         -DOPENCL_INCLUDE_DIR:PATH=%{_includedir}/CL \
+        -DOPENCV_GENERATE_PKGCONFIG:BOOL=ON \
         -DBUILD_PROTOBUF:BOOL=OFF \
         -DPROTOBUF_UPDATE_FILES:BOOL=ON \
         -DBUILD_EXAMPLES:BOOL=ON \
@@ -1077,7 +1081,7 @@
         -DINSTALL_C_EXAMPLES:BOOL=ON \
         -DINSTALL_PYTHON_EXAMPLES:BOOL=ON \
         -DINSTALL_OCTAVE_EXAMPLES:BOOL=ON \
-        -DPYTHON_PACKAGES_PATH=%{python3_sitearch} \
+        -DOPENCV_PYTHON_STANDALONE_INSTALL_PATH=%{python3_sitearch} \
         -DENABLE_PRECOMPILED_HEADERS:BOOL=OFF \
         -DWITH_CAROTENE:BOOL=OFF \
         -DWITH_IPP:BOOL=NO \