diff -u -r dest/topics/files-and-directories/index.html t/dest/topics/files-and-directories/index.html
--- dest/topics/files-and-directories/index.html	2019-07-13 22:32:20.143246858 +0300
+++ t/dest/topics/files-and-directories/index.html	2019-07-14 21:12:42.000000000 +0300
@@ -23,7 +23,7 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 
 <span class="Statement">my</span> <span class="Identifier">$filename_to_read</span> = <span class="Constant">'my-file.txt'</span>;
 
@@ -79,10 +79,10 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 
 <span class="Statement">open</span> <span class="Statement">my</span> <span class="Identifier">$out</span>, <span class="Constant">'&gt;:encoding(utf8)'</span>, <span class="Constant">&quot;output.txt&quot;</span>;
-<span class="Statement">print</span> <span class="Statement">{</span><span class="Identifier">$out</span><span class="Statement">}</span> <span class="Constant">&quot;Hello World!</span><span class="Special">\n</span><span class="Constant">&quot;</span>;
+<span class="Statement">print {</span><span class="Identifier">$out</span><span class="Statement">}</span> <span class="Constant">&quot;Hello World!</span><span class="Special">\n</span><span class="Constant">&quot;</span>;
 <span class="Statement">close</span>(<span class="Identifier">$out</span>);
 
 
@@ -108,7 +108,7 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 <span class="Statement">use </span>File::Temp ( <span class="Constant">qw(tempfile)</span> );
 
 <span class="Statement">my</span> <span class="Identifier">@filenames</span> = <span class="Identifier">@ARGV</span>;
@@ -124,7 +124,7 @@
         <span class="Comment"># Perform the operation here.</span>
         <span class="Identifier">$line</span> =~ <span class="Statement">s/</span><span class="Special">\b</span><span class="Constant">From</span><span class="Special">\b</span><span class="Statement">/</span><span class="Constant">To</span><span class="Statement">/g</span>;
 
-        <span class="Statement">print</span> <span class="Statement">{</span><span class="Identifier">$tempout</span><span class="Statement">}</span> <span class="Constant">&quot;</span><span class="Identifier">$new_line</span><span class="Special">\n</span><span class="Constant">&quot;</span>;
+        <span class="Statement">print {</span><span class="Identifier">$tempout</span><span class="Statement">}</span> <span class="Constant">&quot;</span><span class="Identifier">$new_line</span><span class="Special">\n</span><span class="Constant">&quot;</span>;
     }
 
     <span class="Statement">close</span>(<span class="Identifier">$in</span>);
@@ -164,7 +164,7 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 
 <span class="Statement">sub </span><span class="Identifier">_utf8_slurp</span>
 {
@@ -204,13 +204,13 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 
 <span class="Statement">my</span> <span class="Identifier">$string_to_append</span> = <span class="Constant">&quot;My new line</span><span class="Special">\n</span><span class="Constant">&quot;</span>;
 
 {
     <span class="Statement">open</span> <span class="Statement">my</span> <span class="Identifier">$out</span>, <span class="Constant">'&gt;&gt;'</span>, <span class="Identifier">$my_file_path</span>;
-    <span class="Statement">print</span> <span class="Statement">{</span><span class="Identifier">$out</span><span class="Statement">}</span> <span class="Identifier">$string_to_append</span>;
+    <span class="Statement">print {</span><span class="Identifier">$out</span><span class="Statement">}</span> <span class="Identifier">$string_to_append</span>;
     <span class="Statement">close</span>(<span class="Identifier">$out</span>);
 }
 
@@ -246,7 +246,7 @@
 <span class="Statement">use strict</span>;
 <span class="Statement">use warnings</span>;
 
-<span class="Statement">use autodie</span>;
+<span class="Statement">use </span>autodie;
 
 <span class="Statement">sub </span><span class="Identifier">count_lines</span>
 {
@@ -336,7 +336,7 @@
 
 <span class="Statement">open</span> <span class="Statement">my</span> <span class="Identifier">$out_fh</span>, <span class="Constant">'&gt;'</span>, <span class="Identifier">$filename</span>
     <span class="Statement">or</span> <span class="Statement">die</span> <span class="Constant">&quot;Could not open file '</span><span class="Identifier">$filename</span><span class="Constant">' for writing! - </span><span class="Identifier">$!</span><span class="Constant">&quot;</span>;
-<span class="Statement">print</span> <span class="Statement">{</span><span class="Identifier">$out_fh</span><span class="Statement">}</span> <span class="Identifier">$text_to_prepend</span> . <span class="Identifier">$contents</span>;
+<span class="Statement">print {</span><span class="Identifier">$out_fh</span><span class="Statement">}</span> <span class="Identifier">$text_to_prepend</span> . <span class="Identifier">$contents</span>;
 <span class="Statement">close</span>(<span class="Identifier">$out_fh</span>);
 
 